<?php

namespace Drupal\font_iconpicker;

/**
 * Helper interface.
 *
 * @package Drupal\font_iconpicker
 */
interface IconHelperInterface {

  /**
   * The font library name declared dinamycally in "font_iconpicker.libraries.yml" file.
   *
   * @var string
   */
  const FONT_LIBRARY_NAME = 'font-custom';

  /**
   * Get icons available in the custom font.
   *
   * @return string[]
   *   The icons available.
   */
  public function getIconsAvailable(): array;
}
